import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
//  strict
import PropTypes from 'prop-types';
import * as React from 'react';
import styled from 'styled-components';
var Wrapper =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "sc-1gj59xj-0"
})(["\n  text-align: ", ";\n\n  & > * {\n    display: ", ";\n    margin-right: ", ";\n  }\n"], function (props) {
  return props.align;
}, function (props) {
  return props.inline ? 'inline' : 'block';
}, function (props) {
  return props.inline ? '0.4rem' : '0';
});

var TextGroup = function TextGroup(_ref) {
  var children = _ref.children,
      rest = _objectWithoutProperties(_ref, ["children"]);

  return React.createElement(Wrapper, rest, children);
};

TextGroup.propTypes = process.env.NODE_ENV !== "production" ? {
  align: PropTypes.oneOf(['justify', 'left', 'right', 'center']),
  children: PropTypes.node,
  inline: PropTypes.bool
} : {};
TextGroup.defaultProps = {
  align: 'justify',
  inline: true
};
export default TextGroup;